{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ABS_NUMERO"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ABS_ORDRE"; }; 
            name = absNumero; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_COM_MED_CLD"; 
            externalType = DATE; 
            name = dComMedCld; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CLD"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CLD"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CLD"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CLD"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_PROLONG_CLD"; 
            externalType = VARCHAR2; 
            name = temProlongCld; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = congeAnnulOrdre; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_EN_CAUSE"; 
            externalType = VARCHAR2; 
            name = temEnCause; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        noArrete, 
        temProlongCld, 
        congeOrdre, 
        absNumero, 
        commentaire, 
        temValide, 
        temGestEtab, 
        congeAnnulOrdre, 
        noArreteAnnulation, 
        temConfirme, 
        temEnCause
    ); 
    className = "org.cocktail.mangue.modele.mangue.conges.EOCld"; 
    classProperties = (
        noArrete, 
        dateArrete, 
        dateFin, 
        dComMedCld, 
        temProlongCld, 
        dCreation, 
        dModification, 
        individu, 
        dateDebut, 
        absence, 
        details, 
        commentaire, 
        temValide, 
        temGestEtab, 
        congeDeRemplacement, 
        dAnnulation, 
        noArreteAnnulation, 
        temConfirme, 
        temEnCause
    ); 
    externalName = "MANGUE.CLD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dComMedCld, 
            temProlongCld, 
            individu, 
            noArrete, 
            dateFin, 
            dateDebut, 
            dateArrete, 
            absence, 
            details, 
            commentaire, 
            dCreation, 
            dModification, 
            temValide, 
            temGestEtab, 
            congeDeRemplacement, 
            dAnnulation, 
            noArreteAnnulation, 
            temConfirme, 
            temEnCause
        ); 
    }; 
    name = Cld; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = Absences; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = absNumero; sourceAttribute = absNumero; }); 
            name = absence; 
        }, 
        {
            destination = Cld; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeAnnulOrdre; }); 
            name = congeDeRemplacement; 
        }, 
        {
            destination = DetailConge; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeOrdre; }); 
            name = details; 
        }, 
        {
            destination = IndividuUlr; 
            internalInfo = {"_nameInObjectStore" = individu; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
}
